-----------------------------------------------------------------------------
-- Spray Logo Info v1.2 for Counter-Strike 2D                              --
--                                                                         --
-- Created by EngiN33R (USGN: 7749) - January 18, 2013                     --
-- http://www.unrealsoftware.de/profile.php?userid=7749                    --
--                                                                         --
-- This Lua script for Counter-Strike 2D is a very simple and short script --
-- that displays the user name and USGN ID of the player who sprayed the   --
-- logo that your crosshair is currently pointing at.                      --
-----------------------------------------------------------------------------

-- Edit the "hudtxtid" if it conflicts with other scripts on your server.
-- hudtxtid = 42 -- Default
hudtxtid = 42

-- Edit the "hudtxtpos" if you wish to move the text elsewhere on the HUD.
-- hudtxtpos = {4,240} -- Default
hudtxtpos = {2,200}

sprays = {}
shudtxt = {}
hspray = {}

addhook("startround_prespawn","unregister_sprays")
function unregister_sprays()
	sprays = {}
	shudtxt = {}
	hspray = {}
end

addhook("spray","register_sprays")
function register_sprays(id)
	sprays[#sprays+1]={player(id,"name"),player(id,"usgn"),player(id,"tilex"),player(id,"tiley"),200000}
end

addhook("ms100","cursor_end")
function cursor_end()
	reqcld(0,2)
	for _,spr in pairs(sprays) do
		if spr[5]>=100 then
			spr[5]=spr[5]-100
		else
			table.remove(sprays,_)
		end
	end
end

addhook("clientdata","cursor_position")
function cursor_position(id,m,x,y)
	local tx,ty=math.floor(x/32),math.floor(y/32)
	for k,spr in pairs(sprays) do
		if tx==spr[3] and ty==spr[4] then
			if shudtxt[id]==nil or shudtxt[id]=="" then
				-- Edit the "255220000" if you wish to change the color of the text on the HUD.
				-- Edit the "Spray by ", "(USGN ID ", and ")" if you wish to change the formatting of the text on the HUD.
				-- shudtxt[id]="255220000Spray by "..spr[1].." (USGN ID "..spr[2]..")" -- Default
				shudtxt[id]="255255255Spray by: "..spr[1].." (USGN ID: "..spr[2]..")"
				parse("hudtxt2 "..id.." "..hudtxtid.." \""..shudtxt[id].."\" "..hudtxtpos[1].." "..hudtxtpos[2])
				hspray[id]=k
				return
			end
		else
			if shudtxt[id]~="" and k==hspray[id] then
				shudtxt[id]=""
				parse("hudtxt2 "..id.." "..hudtxtid.." \"\" 4 240")
				hspray[id]=nil
			end
		end
	end
end
